Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleTable

All Known Implementing Classes:
  JTable.AccessibleJTable

public interface AccessibleTable

Class AccessibleTable describes a user-interface component that presents data in a two-dimensional table format.

Method Summary
`Accessible` | `getAccessibleAt(int r, int c)` Returns the Accessible at a specified row and column in the table.
`Accessible` | `getAccessibleCaption()` Returns the caption for the table.
`int` | `getAccessibleColumnCount()` Returns the number of columns in the table.
`Accessible` | `getAccessibleColumnDescription(int c)` Returns the description text of the specified column in the table.
`int` | `getAccessibleColumnExtentAt(int r, int c)` Returns the number of columns occupied by the Accessible at a specified row and column in the table.
`AccessibleTable` | `getAccessibleColumnHeader()` Returns the column headers as an AccessibleTable.
`int` | `getAccessibleRowCount()` Returns the number of rows in the table.
`Accessible` | `getAccessibleRowDescription(int r)` Returns the description of the specified row in the table.
`int` | `getAccessibleRowExtentAt(int r, int c)` Returns the number of rows occupied by the Accessible at a specified row and column in the table.
`AccessibleTable` | `getAccessibleRowHeader()` Returns the row headers as an AccessibleTable.
`Accessible` | `getAccessibleSummary()` Returns the summary description of the table.
`int[]` | `getSelectedAccessibleColumns()` Returns the selected columns in a table.
`int[]` | `getSelectedAccessibleRows()` Returns the selected rows in a table.
`boolean` | `isAccessibleColumnSelected(int c)` Returns a boolean value indicating whether the specified column is selected.
`boolean` | `isAccessibleRowSelected(int r)` Returns a boolean value indicating whether the specified row is selected.
`boolean` | `isAccessibleSelected(int r, int c)` Returns a boolean value indicating whether the accessible at a specified row and column is selected.
`void` | `setAccessibleCaption(Accessible a)` Sets the caption for the table.
`void` | `setAccessibleColumnDescription(int c, Accessible a)` Sets the description text of the specified column in the table.
`void` | `setAccessibleColumnHeader(AccessibleTable table)` Sets the column headers.
`void` | `setAccessibleRowDescription(int r, Accessible a)` Sets the description text of the specified row of the table.
`void` | `setAccessibleRowHeader(AccessibleTable table)` Sets the row headers.
`void` | `setAccessibleSummary(Accessible a)` Sets the summary description of the table

Method Detail

### getAccessibleCaption

    public Accessible getAccessibleCaption()

  Returns the caption for the table.
  Returns:
    the caption for the table

### setAccessibleCaption

    public void setAccessibleCaption(Accessible a)

  Sets the caption for the table.
  Parameters:
    `a` - the caption for the table

### getAccessibleSummary

    public Accessible getAccessibleSummary()

  Returns the summary description of the table.
  Returns:
    the summary description of the table

### setAccessibleSummary

    public void setAccessibleSummary(Accessible a)

  Sets the summary description of the table
  Parameters:
    `a` - the summary description of the table

### getAccessibleRowCount

    public int getAccessibleRowCount()

  Returns the number of rows in the table.
  Returns:
    the number of rows in the table

### getAccessibleColumnCount

    public int getAccessibleColumnCount()

  Returns the number of columns in the table.
  Returns:
    the number of columns in the table

### getAccessibleAt

    public Accessible getAccessibleAt(int r,
                                      int c)

  Returns the Accessible at a specified row and column in the table.
  Parameters:
    `r` - zero-based row of the table
    `c` - zero-based column of the table
  Returns:
    the Accessible at the specified row and column

### getAccessibleRowExtentAt

    public int getAccessibleRowExtentAt(int r,
                                        int c)

  Returns the number of rows occupied by the Accessible at a specified row and column in the table.
  Returns:
    the number of rows occupied by the Accessible at a given specified (row, column)

### getAccessibleColumnExtentAt

    public int getAccessibleColumnExtentAt(int r,
                                           int c)

  Returns the number of columns occupied by the Accessible at a specified row and column in the table.
  Returns:
    the number of columns occupied by the Accessible at a given specified row and column

### getAccessibleRowHeader

    public AccessibleTable getAccessibleRowHeader()

  Returns the row headers as an AccessibleTable.
  Returns:
    an AccessibleTable representing the row headers

### setAccessibleRowHeader

    public void setAccessibleRowHeader(AccessibleTable table)

  Sets the row headers.
  Parameters:
    `table` - an AccessibleTable representing the row headers

### getAccessibleColumnHeader

    public AccessibleTable getAccessibleColumnHeader()

  Returns the column headers as an AccessibleTable.
  Returns:
    an AccessibleTable representing the column headers

### setAccessibleColumnHeader

    public void setAccessibleColumnHeader(AccessibleTable table)

  Sets the column headers.
  Parameters:
    `table` - an AccessibleTable representing the column headers

### getAccessibleRowDescription

    public Accessible getAccessibleRowDescription(int r)

  Returns the description of the specified row in the table.
  Parameters:
    `r` - zero-based row of the table
  Returns:
    the description of the row

### setAccessibleRowDescription

    public void setAccessibleRowDescription(int r,
                                            Accessible a)

  Sets the description text of the specified row of the table.
  Parameters:
    `r` - zero-based row of the table
    `a` - the description of the row

### getAccessibleColumnDescription

    public Accessible getAccessibleColumnDescription(int c)

  Returns the description text of the specified column in the table.
  Parameters:
    `c` - zero-based column of the table
  Returns:
    the text description of the column

### setAccessibleColumnDescription

    public void setAccessibleColumnDescription(int c,
                                               Accessible a)

  Sets the description text of the specified column in the table.
  Parameters:
    `c` - zero-based column of the table
    `a` - the text description of the column

### isAccessibleSelected

    public boolean isAccessibleSelected(int r,
                                        int c)

  Returns a boolean value indicating whether the accessible at a specified row and column is selected.
  Parameters:
    `r` - zero-based row of the table
    `c` - zero-based column of the table
  Returns:
    the boolean value true if the accessible at the row and column is selected. Otherwise, the boolean value false

### isAccessibleRowSelected

    public boolean isAccessibleRowSelected(int r)

  Returns a boolean value indicating whether the specified row is selected.
  Parameters:
    `r` - zero-based row of the table
  Returns:
    the boolean value true if the specified row is selected. Otherwise, false.

### isAccessibleColumnSelected

    public boolean isAccessibleColumnSelected(int c)

  Returns a boolean value indicating whether the specified column is selected.
  Parameters:
    `r` - zero-based column of the table
  Returns:
    the boolean value true if the specified column is selected. Otherwise, false.

### getSelectedAccessibleRows

    public int[] getSelectedAccessibleRows()

  Returns the selected rows in a table.
  Returns:
    an array of selected rows where each element is a zero-based row of the table

### getSelectedAccessibleColumns

    public int[] getSelectedAccessibleColumns()

  Returns the selected columns in a table.
  Returns:
    an array of selected columns where each element is a zero-based column of the table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.